#ifndef CONNEXION_H
#define CONNEXION_H

#include <QtCore>
#include <QtSql>
#include <QSqlDatabase>



extern QString g_pathabsolu;
//lance la connection a DrTuxTest
bool CreateConnection() 
{
    enum ConnexionItems{HOST=0,USER,PASSWORD,LOGIN};
    QString host;
    QString utilisateur;
    QString mypassword;
    QStringList liste;
    QStringList hostuser;
    QFile fichier(g_pathabsolu+"/utilisateur.ini");
    if(!fichier.open(QIODevice::ReadOnly | QIODevice::Text)){
        QMessageBox::warning(0,"erreur",QObject::trUtf8("le fichier utilisateur.ini n'est pas accessible"),QMessageBox::Ok);
        }
    QTextStream loire(&fichier);
    while(!loire.atEnd()){
       QString ligne = loire.readLine();
       if(ligne.isEmpty())
           break;
       QStringList liste = ligne.split("=");
       if(liste.size()>1)
           hostuser << liste[1];
       }
    host = hostuser[HOST];
    utilisateur = hostuser[USER];
    mypassword = hostuser[PASSWORD];

    ///////si le mot de passe est vide
    if(mypassword == ""){
        QSqlDatabase db = QSqlDatabase :: addDatabase("QMYSQL");
        db.setHostName(host);
        db.setDatabaseName("DrTuxTest");
        db.setUserName(utilisateur);
        db.setPassword("");
        if (!db.open()) {
	    QMessageBox::critical(0,"Erreur ouverture de base", db.lastError().text());
	    return false;
            }
        return true;
        }
    else{
        QString motdepasse = mypassword;//hellothatsme;
        motdepasse = motdepasse.replace(QRegExp("\\n"),"");
        QSqlDatabase db = QSqlDatabase :: addDatabase("QMYSQL");
        db.setHostName(host);
        db.setDatabaseName("DrTuxTest");
        db.setUserName(utilisateur);
        db.setPassword(motdepasse);
        if (!db.open()) {
	    QMessageBox::critical(0,"Erreur ouverture de base", db.lastError().text());
	    return false;
            }
        return true;
        }
}

#endif
